RPGツクールMVのコアスクリプトを更新する

RPGツクールMVは、プロジェクトを新規作成したときに出来る基本部分のプログラムというものが、ツクールMVのバージョンによって微妙に変わるらしいが、古いバージョンのMVでつくったプロジェクトは延々とそのままらしい。

戦闘テストがちゃんと動かぬのもそのせいだろう(たぶん
普通のテストプレイになってしまうので、起動オプション的なものが効いていないと思われる・3・

マー

むかしは動いたが、いまは動かぬので、
どこかのMVバージョンで初期のプロジェクトでつくったデータを切り捨てたということぞ!

私はSteam版なので、特に更新禁止設定をしていない場合は自動で最新バージョンになる。

戦闘テストが動かぬだけならまだかわいいが、他にもっと致命的な事があるのではないか。
なるべく楽に置き換えしたい。

データをくれればぼくがみてあげよう
正式に遊べるバージョンを公開する前に、
中身を見せてしまっては楽しみがなくなる。

それでなくともあんたは、デバッグは任せろと言いつつ、
本当にデバッグしてほしい時には「何回やらせるとか!」と言って
やってくれなかった。教訓!!!!

よこさんか!!!!!(発狂
RPGツクールまとめwikiに更新のしかたが書いてあった・3・

rpg_core.jsのバージョン違いをWinMergeで比較

いまのコアスクリプトは、ヘッダーコメントにバージョン表記が無いのでぶっちぎりで古かった。

まだ日本語版のツクールMVが販売すらされていない頃に作ったプロジェクトだからのう・3・;

ぼぼぼ

fontsフォルダ
jsフォルダ
index.html

を更新したいバージョンのプロジェクトからコピーすると良いらしい。

特にjsフォルダは使用中のプラグイン設定を含んでいるファイルがあるので取り扱い注意。

動作がおかしい時に作業前の状態に戻したり、作業前と同じ設定に戻したりなどができるように、作業前に必ずバックアップをとったり、プラグイン設定をメモするなどしておきましょう・3・

コアスクリプトを更新した事で、戦闘テストが動くようになった。

マー!
コアスクリプトの修正履歴を見ていると、結構根本的な部分(どうやって画面を表示するかとか)が変わっているので、
使っているプラグインが新仕様に対応しえいない事で起きてそうなエラーや目に見えた不具合がもりもり出てくる、たすけてwwwwww
遊べるのは30年後くらいになるでしょう(識者

コメントを残す

メールアドレスが公開されることはありません。

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください